View Issue Details

IDProjectCategoryView StatusLast Update
0006856Talerexchangepublic2021-09-02 18:14
Reporterttn Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformLinuxOSDebianOS VersionBullseye/Sid
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006856: "make check" fails at test_taler_exchange_httpd_restart.sh
DescriptionHEAD at 8fd08c559e5cd48c457af160a59c898f0aa91050
logs attached
TagsNo tags attached.

Activities

ttn

2021-05-07 06:35

developer  

.ttn.exchange-make-check.log (10,797 bytes)   
-*- mode: compilation; default-directory: "~/build/GNU/T/exchange/" -*-
Compilation started at Fri May  7 06:25:12

make check PGHOST=$HOME/pg TMPDIR=$HOME/tmp PATH=$HOME/t/bin:$PATH
Makefile:963: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:958: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:968: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:963: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:973: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:968: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
make  check-recursive
make[1]: Entering directory '/home/ttn/build/GNU/T/exchange'
Makefile:963: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:958: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:968: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:963: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:973: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:968: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Making check in .
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange'
Makefile:963: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:958: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:968: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:963: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:973: warning: overriding recipe for target 'doxygen-doc/taler-exchange.tag'
Makefile:968: warning: ignoring old recipe for target 'doxygen-doc/taler-exchange.tag'
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange'
Making check in contrib
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange/contrib'
Making check in .
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/contrib'
make[3]: Nothing to be done for 'check-am'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/contrib'
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange/contrib'
Making check in src
make[2]: Entering directory '/home/ttn/build/GNU/T/exchange/src'
Making check in include
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/include'
make[3]: Nothing to be done for 'check'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/include'
Making check in util
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
make  test_amount test_crypto test_helper_eddsa test_helper_rsa test_payto test_url
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
  CC       test_amount.o
  CCLD     test_amount
  CC       test_crypto.o
  CCLD     test_crypto
  CC       test_helper_eddsa.o
  CCLD     test_helper_eddsa
  CC       test_helper_rsa.o
  CCLD     test_helper_rsa
  CC       test_payto.o
  CCLD     test_payto
  CC       test_url.o
  CCLD     test_url
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
make  check-TESTS
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
make[5]: Entering directory '/home/ttn/build/GNU/T/exchange/src/util'
PASS: test_amount
PASS: test_crypto
PASS: test_helper_eddsa
PASS: test_helper_rsa
PASS: test_payto
PASS: test_url
============================================================================
Testsuite summary for taler-exchange 0.8.1
============================================================================
# TOTAL: 6
# PASS:  6
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/util'
Making check in json
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/json'
make  test_json test_json_wire
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/json'
  CC       test_json.o
  CCLD     test_json
  CC       test_json_wire.o
  CCLD     test_json_wire
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/json'
make  check-TESTS
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/json'
make[5]: Entering directory '/home/ttn/build/GNU/T/exchange/src/json'
PASS: test_json
PASS: test_json_wire
============================================================================
Testsuite summary for taler-exchange 0.8.1
============================================================================
# TOTAL: 2
# PASS:  2
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/json'
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/json'
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/json'
Making check in curl
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/curl'
make[3]: Nothing to be done for 'check'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/curl'
Making check in pq
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/pq'
make  test_pq
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/pq'
  CC       test_pq.o
  CCLD     test_pq
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/pq'
make  check-TESTS
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/pq'
make[5]: Entering directory '/home/ttn/build/GNU/T/exchange/src/pq'
PASS: test_pq
============================================================================
Testsuite summary for taler-exchange 0.8.1
============================================================================
# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/pq'
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/pq'
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/pq'
Making check in sq
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/sq'
make  test_sq
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/sq'
  CC       test_sq.o
  CCLD     test_sq
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/sq'
make  check-TESTS
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/sq'
make[5]: Entering directory '/home/ttn/build/GNU/T/exchange/src/sq'
PASS: test_sq
============================================================================
Testsuite summary for taler-exchange 0.8.1
============================================================================
# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/sq'
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/sq'
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/sq'
Making check in mhd
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/mhd'
make[3]: Nothing to be done for 'check'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/mhd'
Making check in bank-lib
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/bank-lib'
make[3]: Nothing to be done for 'check'.
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/bank-lib'
Making check in exchangedb
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/exchangedb'
make  test-exchangedb-postgres
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/exchangedb'
  CC       test_exchangedb.o
  CCLD     test-exchangedb-postgres
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/exchangedb'
make  check-TESTS
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/exchangedb'
make[5]: Entering directory '/home/ttn/build/GNU/T/exchange/src/exchangedb'
PASS: test-exchangedb-postgres
============================================================================
Testsuite summary for taler-exchange 0.8.1
============================================================================
# TOTAL: 1
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================
make[5]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/exchangedb'
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/exchangedb'
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/exchangedb'
Making check in exchange
make[3]: Entering directory '/home/ttn/build/GNU/T/exchange/src/exchange'
make  test_taler_exchange_httpd.sh test_taler_exchange_httpd_restart.sh 
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/exchange'
make[4]: Nothing to be done for 'test_taler_exchange_httpd.sh'.
make[4]: Nothing to be done for 'test_taler_exchange_httpd_restart.sh'.
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/exchange'
make  check-TESTS
make[4]: Entering directory '/home/ttn/build/GNU/T/exchange/src/exchange'
make[5]: Entering directory '/home/ttn/build/GNU/T/exchange/src/exchange'
PASS: test_taler_exchange_httpd.sh
FAIL: test_taler_exchange_httpd_restart.sh
============================================================================
Testsuite summary for taler-exchange 0.8.1
============================================================================
# TOTAL: 2
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See src/exchange/test-suite.log
Please report to taler-bug@gnunet.org
============================================================================
make[5]: *** [Makefile:1103: test-suite.log] Error 1
make[5]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/exchange'
make[4]: *** [Makefile:1211: check-TESTS] Error 2
make[4]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/exchange'
make[3]: *** [Makefile:1299: check-am] Error 2
make[3]: Leaving directory '/home/ttn/build/GNU/T/exchange/src/exchange'
make[2]: *** [Makefile:515: check-recursive] Error 1
make[2]: Leaving directory '/home/ttn/build/GNU/T/exchange/src'
make[1]: *** [Makefile:501: check-recursive] Error 1
make[1]: Leaving directory '/home/ttn/build/GNU/T/exchange'
make: *** [Makefile:799: check] Error 2

Compilation exited abnormally with code 2 at Fri May  7 06:26:07
.ttn.exchange-make-check.log (10,797 bytes)   
test-suite.log (706 bytes)   
=======================================================
   taler-exchange 0.8.1: src/exchange/test-suite.log
=======================================================

# TOTAL: 2
# PASS:  1
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

FAIL: test_taler_exchange_httpd_restart.sh
==========================================

Testing for curl FOUND
Launching exchange ...May 07 06:25:56-249014 gnunet-config-1384586 WARNING Skipping file `/home/ttn/t/share/taler/config.d/ZONKABLE-2021-03'
....................................................................................................Failed to launch exchange
FAIL test_taler_exchange_httpd_restart.sh (exit status: 1)

test-suite.log (706 bytes)   

Christian Grothoff

2021-05-09 12:52

manager   ~0017800

Fixed in 8fd08c55..6ee58c99

Christian Grothoff

2021-09-02 18:14

manager   ~0018229

Fix committed to master branch.

Related Changesets

exchange: master 6ee58c99

2021-05-09 12:50:08

Christian Grothoff

Details Diff
fix 0006856 Affected Issues
0006856
mod - src/exchange/test_taler_exchange_httpd_restart.sh Diff File

Issue History

Date Modified Username Field Change
2021-05-07 06:35 ttn New Issue
2021-05-07 06:35 ttn Status new => assigned
2021-05-07 06:35 ttn Assigned To => Christian Grothoff
2021-05-07 06:35 ttn File Added: .ttn.exchange-make-check.log
2021-05-07 06:35 ttn File Added: test-suite.log
2021-05-09 12:52 Christian Grothoff Note Added: 0017800
2021-05-09 12:52 Christian Grothoff Status assigned => resolved
2021-05-09 12:52 Christian Grothoff Resolution open => fixed
2021-05-09 12:52 Christian Grothoff Fixed in Version => 0.9
2021-05-09 12:52 Christian Grothoff Target Version => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:01 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 6ee58c99
2021-09-02 18:14 Christian Grothoff Note Added: 0018229